import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DragAndDropFileDirective {
    fileOver: boolean;
    multiple: boolean;
    disabled: boolean;
    fileDropped: EventEmitter<any>;
    onDragEvent(evt: any): void;
    onDragLeave(evt: any): void;
    onDrop(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragAndDropFileDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragAndDropFileDirective, "[unoDragDropFile]", never, { "multiple": "multiple"; "disabled": "disabled"; }, { "fileDropped": "fileDropped"; }, never>;
}
